Download it now!
Bug 128188 - Same numbering the first page when insert section
Summary: Same numbering the first page when insert section
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Footnote-Endnote Section
  Show dependency treegraph
 
Reported: 2019-10-17 00:25 UTC by Pénzes Dávid
Modified: 2019-10-25 05:41 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
This file is containing the bad footnotes (72.72 KB, application/vnd.oasis.opendocument.text)
2019-10-17 00:27 UTC, Pénzes Dávid
Details
screen shot: doubled footnote number 1 (76.67 KB, image/png)
2019-10-18 11:24 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pénzes Dávid 2019-10-17 00:25:48 UTC
Description:
The footnotes numbering is not growth at the first page when we insert a section.

Steps to Reproduce:
1. Make a new document, with Headings 2 or 3.
2. Insert sections between two Headings.
3. Insert Footnotes with Restart numbering options

Actual Results:
As you see at the first page the numbering of footnotes are same.

E.g.

Bad result (LibreOffice  6.3.1.2 (x64)):
1. Footnote
1. Footnote
1. Footnote

Good result (LibreOffice 6.0.6.2):
1. Footnote
2. Footnote
3. Footnote

Expected Results:
x


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Pénzes Dávid 2019-10-17 00:27:00 UTC
Created attachment 155046 [details]
This file is containing the bad footnotes
Comment 2 László Németh 2019-10-18 11:22:19 UTC
See page 7 for the problem.

This is a regression. It worked well in LO 6.0.7.3.
Comment 3 László Németh 2019-10-18 11:24:09 UTC
Created attachment 155114 [details]
screen shot: doubled footnote number 1
Comment 4 raal 2019-10-20 18:25:10 UTC
This seems to have begun at the below commit.
Adding Cc: to Michael Stahl ; Could you possibly take a look at this one?
Thanks

63dec39f2e1dab30a4c3ea8bdcea290600cf6983 is the first bad commit
commit 63dec39f2e1dab30a4c3ea8bdcea290600cf6983
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Dec 18 22:07:56 2018 +0100

    source sha:32902f66e7749b2d06d13f50416be5323a0c0ea9
author	Michael Stahl <Michael.Stahl@cib.de>	2018-11-30 17:54:41 +0100
committer	Michael Stahl <Michael.Stahl@cib.de>	2018-12-18 17:55:30 +0100
commit	32902f66e7749b2d06d13f50416be5323a0c0ea9 (patch)
tree	901ab6577d25102c0a855d2a63964dfef67b34c4
parent	b310378e874bc8fa7005352fcd85fa64eb075f54 (diff)
sw_redlinehide: make layout based Show/Hide mode the default
Comment 5 Commit Notification 2019-10-21 13:40:13 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/891b8036c746f7eab9ef3380c049eecf3860acac

tdf#128188 sw_redlinehide: fix off-by-1 footnote numbers...

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl (CIB) 2019-10-21 13:41:17 UTC
fixed on master
Comment 7 Commit Notification 2019-10-22 06:07:32 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/38db98d643ae301f4293f34617a8fce932cff873

tdf#128188 sw_redlinehide: fix off-by-1 footnote numbers...

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-10-23 10:23:18 UTC
Verified in

Version: 6.4.0.0.alpha1+
Build ID: 437dc68285dab0f08a1ded2193d86d64f560cd9b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!
Comment 9 Commit Notification 2019-10-23 11:54:01 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-3":

https://git.libreoffice.org/core/commit/a8a58dd78ac195749255fe66419b2cb2f6d860c7

tdf#128188 sw_redlinehide: fix off-by-1 footnote numbers...

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 László Németh 2019-10-25 05:41:09 UTC
Raal, Michael: many thanks for the bibisect and the quick fix! László